%define Name sgml-common
%define Version 0.6.3

Name:		%{Name}
Version:	%{Version}
Release:	1mdk
Group       	: Publishing

Summary     	: Base ISO character entities and utilities for SGML

License   	: Distributable
URL         	: http://www.iso.ch/cate/3524030.html


BuildRoot   	: /tmp/%{Name}-%{Version}

BuildArch	: noarch
Source0		: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{Name}-%{Version}.tar.bz2

%define sgmlbase %{_prefix}/share/sgml/

%Description
The ISO standardization organization has normalized a set of characters
symbolic names ("character entities") used by SGML documents of many types.
There are character entities for latin languages, math symbols, greek,
cyrillic, etc. This package also includes very basic utilities to allow
SGML catalogs manipulation.

%Prep
%setup -q


%Build
./configure --prefix=%{_prefix} --sysconfdir=%{_confdir} --mandir=%{_mandir}


%Install
DESTDIR=$RPM_BUILD_ROOT
make install prefix=$DESTDIR%{_prefix} sysconfdir=$DESTDIR/etc mandir=$DESTDIR%{_mandir} docdir=$DESTDIR%{_docdir}


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc doc/HTML/
%config (noreplace) /etc/sgml/sgml.conf
%{sgmlbase}/xml.dcl
%dir %{sgmlbase}/sgml-iso-entities-8879.1986/
%{sgmlbase}/sgml-iso-entities-8879.1986/*
%dir %{sgmlbase}/xml-iso-entities-8879.1986/
%{sgmlbase}/xml-iso-entities-8879.1986/*
%{_bindir}/sgmlwhich
%{_bindir}/install-catalog
%{_mandir}/man8/*

%Post
for centralized in `find /etc/sgml/ -name "sgml-*.cat" -type f`; do
    %{_bindir}/install-catalog --remove $centralized %{sgmlbase}/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    %{_bindir}/install-catalog --add $centralized %{sgmlbase}/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
done


%Postun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in `find /etc/sgml/ -name "sgml-*.cat" -type f`; do
	%{_bindir}/install-catalog --remove $centralized %{sgmlbase}/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    done 
fi

%changelog 
* Mon Aug 27 2001  <camille@ke.mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Wed Mar 14 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-4mdk
- Redirect install-catalog output to /dev/null

* Tue Feb 13 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-3mdk
- move install-catalog.8.bz2 from man/en/man8 to man/man8

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-2mdk
- add catalog management
- fix execute permissions

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 0.2-1mdk
- 0.2
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
